#
# spec file for package fusepod
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fusepod
BuildRequires:  automake
BuildRequires:  fuse-devel
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  libgpod-devel
BuildRequires:  pkgconfig
BuildRequires:  taglib-devel
Requires:       fuse
Summary:        FUSEPod is a virtual user-space filesystem that mounts your iPod
License:        GPL-2.0+
Group:          System/Filesystems
Version:        0.5.2
Release:        191.3
Source:         %{name}-%{version}.tar.bz2
Patch:          include_fix.patch
Url:            http://sourceforge.net/projects/fusepod/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FUSEPod is a virtual user-space filesystem that mounts your iPod into a
directory for easy browsing of the songs it contains. It can discover
where your iPod is mounted, supports read and remove operations, and
has a configurable directory layout.

%prep
%setup -q
%patch

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README* THANKS
%{_bindir}/*
%{_mandir}/man1/fusepod.1.gz

%changelog
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Fri Dec  2 2011 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX format and non-necessary reference to included license
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu May 28 2009 mszeredi@suse.de
- Fix missing include
* Wed May 27 2009 ro@suse.de
- also include stdio.h (for sprintf)
* Thu Oct 25 2007 mszeredi@suse.de
- Fix compile error in beta
* Fri Aug 10 2007 bk@suse.de
- Add "Requires: fuse" to ensure that fuse is present (285101#c29)
* Wed Jul  4 2007 mszeredi@suse.de
- update to version 0.5.2
  * Fixed mounting over samba
* Wed Oct 25 2006 ro@suse.de
- fix build with current libgpod
* Sun Oct  1 2006 cthiel@suse.de
- update to version 0.5.1
  * Fixed crash in autodetecting.
  * Adds orphaned files to the iTunesDB on startup
  * When copying a file into the transfer directory it will updates the
    filesystem at the same time.
  * Added more extended attributes.
* Tue Jul  4 2006 cthiel@suse.de
- fix BuildRequires (s/pkg-config/pkgconfig/)
* Wed Jun 28 2006 cthiel@suse.de
- update to version 0.5
  * Transparent copying of files onto iPod
  * Tracks have tags in extended attributes
  * Unicode tags seem to work now (UTF-8)
  * iPod finder is now aware if there is more than one iPod already mounted
  * Ported too libgpod and taglib for future improvements
  * FUSEPod can also use the environment variable IPOD_MOUNTPOINT
  * General fixes and polish
* Tue Jun 13 2006 cthiel@suse.de
- update to version 0.4
  * The filesystem can now create the iTunesDB for you, so you don't have to
    run iTunes to set up the required files and directories.
  * Playlist removal is now supported.
  * A script for recursively adding files and directories to the iPod was
    added.
  * ./sync_ipod.sh now can show what it is doing with the -watch option.
  * A statistics file was added.
* Mon Apr 24 2006 cthiel@suse.de
- initial package (version 0.3)
